#### D.12.2.33 generateG

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  generateG(a,b,m);

Return:
  m-th division polynomial

Note:
  generate the so-called division polynomials, i.e., the recursively defined polynomials p_m=generateG(a,b,m) in Z[x, y] such that, for a point (x:y:1) on the elliptic curve defined by y^2=x^3+a*x+b over Z/N the point
  m*P=(x-(p_(m-1)*p_(m+1))/p_m^2 :(p_(m+2)*p_(m-1)^2-p_(m-2)*p_(m+1)^2)/4y*p_m^3 :1) and m*P=0 if and only if p_m(P)=0

Example:

    LIB "crypto.lib";
    ring R = 0,(x,y),dp;
    generateG(7,15,4);
    ==> 4xy6+140xy4+1200xy3-980xy2-1680xy-8572x

User manual for Singular version 4.4.1, 2025, generated by texi2html.